Class WafAtpConfig
- All Implemented Interfaces:
Serializable,SdkPojo,ToCopyableBuilder<WafAtpConfig.Builder,WafAtpConfig>
Describes the configuration of the account takeover prevention Web Application Firewall (WAF) rule group. The rule group inspects login requests to the login path of your application.
- See Also:
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionstatic WafAtpConfig.Builderbuilder()final booleanfinal booleanequalsBySdkFields(Object obj) Indicates whether some other object is "equal to" this one by SDK fields.final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz) final inthashCode()final StringThe path of the login endpoint of your application (for example,/login).final StringThe name of the field in the request body that contains the password (for example,/passwordforJSONorpasswordforFORM_ENCODED).final WafPayloadTypeEnumThe content type of the request body of login requests.final StringThe content type of the request body of login requests.final WafResponseInspectionAn object that describes the HTTP status codes that your application returns for successful and failed login attempts.static Class<? extends WafAtpConfig.Builder> Take this object and create a builder that contains all of the current property values of this object.final StringtoString()Returns a string representation of this object.final StringThe name of the field in the request body that contains the username (for example,/usernameforJSONorusernameforFORM_ENCODED).Methods inherited from interface software.amazon.awssdk.utils.builder.ToCopyableBuilder
copy
-
Method Details
-
loginPath
The path of the login endpoint of your application (for example,
/login). Login paths that start with the path that you specify are a match.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
- Returns:
- The path of the login endpoint of your application (for example,
/login). Login paths that start with the path that you specify are a match.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
-
-
-
payloadType
The content type of the request body of login requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
If the service returns an enum value that is not available in the current SDK version,
payloadTypewill returnWafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available frompayloadTypeAsString().- Returns:
- The content type of the request body of login requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- See Also:
-
-
payloadTypeAsString
The content type of the request body of login requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
If the service returns an enum value that is not available in the current SDK version,
payloadTypewill returnWafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available frompayloadTypeAsString().- Returns:
- The content type of the request body of login requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- See Also:
-
-
usernameField
The name of the field in the request body that contains the username (for example,
/usernameforJSONorusernameforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
- Returns:
- The name of the field in the request body that contains the username (for example,
/usernameforJSONorusernameforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
-
-
-
passwordField
The name of the field in the request body that contains the password (for example,
/passwordforJSONorpasswordforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
- Returns:
- The name of the field in the request body that contains the password (for example,
/passwordforJSONorpasswordforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
-
-
-
responseInspection
An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
- Returns:
- An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
-
toBuilder
Description copied from interface:ToCopyableBuilderTake this object and create a builder that contains all of the current property values of this object.- Specified by:
toBuilderin interfaceToCopyableBuilder<WafAtpConfig.Builder,WafAtpConfig> - Returns:
- a builder for type T
-
builder
-
serializableBuilderClass
-
hashCode
-
equals
-
equalsBySdkFields
Description copied from interface:SdkPojoIndicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in anSdkPojoclass, and is generated based on a service model.If an
SdkPojoclass does not have any inherited fields,equalsBySdkFieldsandequalsare essentially the same.- Specified by:
equalsBySdkFieldsin interfaceSdkPojo- Parameters:
obj- the object to be compared with- Returns:
- true if the other object equals to this object by sdk fields, false otherwise.
-
toString
-
getValueForField
-
sdkFields
-
sdkFieldNameToField
- Specified by:
sdkFieldNameToFieldin interfaceSdkPojo- Returns:
- The mapping between the field name and its corresponding field.
-